%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global oname   cchardet

Name:           python-cchardet
Version:        0.3.5
Release:        1%{?dist}
Summary:        High speed universal character encoding detector for python
Packager :      Django
Distribution:   CentOS 7
Group:          Development/Languages
License:        MIT/LGPL
URL:            https://github.com/PyYoshi/cChardet
Source0:        https://pypi.python.org/packages/source/c/%{oname}/%{oname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{oname}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel, python-setuptools, Cython 

%description
cChardet is high speed universal character encoding detector for python,
binding to charsetdetect.

%prep
%setup -q -n %{oname}-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --skip-build --root="%{buildroot}" --prefix="%{_prefix}"
 
%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
# For arch-specific packages: sitearch
%{python_sitearch}/%{oname}*


%changelog
* Thu Dec 18 2014 Django <django@mailserver.guru>
- Initial build for CentOS 7.0
